|
Ubicación en el Menú |
---|
Arquitectura → Armadura |
Entornos de trabajo |
Arquitectura |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
0.19 |
Ver también |
Ninguno |
Descripción
La herramienta Arquitectura Armadura construye un objeto [1], bien a partir de un objeto lineal seleccionado (mientas que una Línea de Borrador o Boceto), o bien desde cero, si no hay ningún objeto seleccionado al lanzar el comando.
Utilización
Crear a partir de un objeto seleccionado
- Use a workbench of your choice to create a single line
- Select that line
- Press the
Truss button
- Adjust the truss properties to your liking
Crear desde cero
- Make sure nothing is selected
- Press the
Truss button
- Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
- Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
- Adjust the truss properties to your liking
Propiedades
Datos
- DatosTrussAngle: The angle of the truss
- DatosSlantType: The slant type of this truss
- DatosNormal: The normal direction of this truss
- DatosHeightStart: The height of the truss at the start position
- DatosHeightEnd: The height of the truss at the end position
- DatosStrutStartOffset: An optional start offset for the top strut
- DatosStrutEndOffset: An optional end offset for the top strut
- DatosStrutHeight: The height of the main top and bottom elements of the truss
- DatosStrutWidth: The width of the main top and bottom elements of the truss
- DatosRodType: The type of the middle element of the truss
- DatosRodDirection: The direction of the rods
- DatosRodSize: The diameter or side of the rods
- DatosRodSections: The number of rod sections
- DatosRodEnd: If the truss has a rod at its endpoint or not
- DatosRodMode: How to draw the rods
Archivos de guión
The Truss tool can be used in macros and from the Python console by using the following function:
Truss = makeFence([baseobj])
Ejemplo:
import FreeCAD
import Draft
import Arch
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties
Esta página ha sido recuperada de https://wiki.freecad.org/Arch_Truss